Opened 11 years ago

Closed 11 years ago

#7881 closed defect (duplicate)

Make polynomials respect the _gcd framework so that they can use coercion in gcds

Reported by: robertwb Owned by: AlexGhitza
Priority: major Milestone: sage-duplicate/invalid/wontfix
Component: algebra Keywords:
Cc: roed Merged in:
Authors: David Roe Reviewers: Robert Bradshaw
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description

In support of #7585

Attachments (1)

7585_6_gcd.patch (8.5 KB) - added by robertwb 11 years ago.

Download all attachments as: .zip

Change History (7)

Changed 11 years ago by robertwb

comment:1 Changed 11 years ago by robertwb

  • Status changed from new to needs_work

I'm all for using the coercion model more, but I don't like the fact that this hides the important docstrings about ZZ[x] and RR[x] in the underscore methods.

comment:2 Changed 11 years ago by robertwb

  • Status changed from needs_work to needs_info

I think this is taken care of with #383.

comment:3 Changed 11 years ago by davidloeffler

  • Milestone changed from sage-4.6 to sage-duplicate/invalid/wontfix
  • Status changed from needs_info to needs_review

I propose closing this as "duplicate".

comment:4 Changed 11 years ago by robertwb

I concur.

comment:5 Changed 11 years ago by davidloeffler

  • Status changed from needs_review to positive_review

Release manager: please close this as duplicate (and don't merge the patch).

comment:6 Changed 11 years ago by mpatel

  • Resolution set to duplicate
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.